<template>
    <div>
        <ul>
            <li v-for="post in posts" :key="post._id">
                <h3>{{post.title}}</h3>
                <p>{{post.username}}</p>
                <p>{{post.text}}</p>
                <router-link :to="`/posts/${post._id}`">Comments</router-link>
            </li>
        </ul>
    </div>
</template>

<script>
    import {mapState} from 'vuex'
    export default {
        name: 'PostList',
        async mounted () {
            await this.$store.dispatch('getAllPosts')
        },computed:{
            ...mapState(['posts'])
        }
    }
</script>

<style scoped>
</style>